#!/bin/python

"""
ToolDirectories.py

David Janes
BlogMatrix
2004.02.12
"""

import sys
import urllib
import Tool

class ToolDirectories(Tool.ToolInterface):
	"""
	The interface for your tool. Simply create an instance of this object and Jaeger
	will figure it out.
	"""
	def __init__(self, name, url):
		Tool.ToolInterface.__init__(self, self.ON_ALL)
		
		self.name = name
		self.url = url
		
	def get_group(self):
		return	"Directories"
		
	def get_label(self, selected):
		return	self.name
		
	def invoke(self, selected, operations):
		operations.open_url(self.url)

#
# creating it will register it
#
ToolDirectories("2RSS", "http://www.2rss.com/")
ToolDirectories("Bloglines", "http://www.bloglines.com/dir")
ToolDirectories("Blogorama", "http://www.blogarama.com/")
ToolDirectories("Blogs Canada", "http://www.blogscanada.ca/directory/default.asp")
ToolDirectories("Blogwise", "http://www.blogwise.com/")
ToolDirectories("EatonWeb", "http://portal.eatonweb.com/")
ToolDirectories("Syndicat8", "http://www.syndic8.com/")
